<?php

defined('ABSPATH') || exit;

use Gostudy_Theme_Helper as Gostudy;

/**
 * @package gostudy
 * @author RaisTheme <help.raistheme@gmail.com>
 * @since 1.0.0
 */

$learndash_archive_layout = Gostudy_Theme_Helper::get_mb_option('learndash_archive_layout');

// Render
get_header();

echo '<div class="learndash-content-area">';
echo '<div class="rt-courses layout-'.$learndash_archive_layout.'">';

$query_args = array( 
    'post_type' => 'sfwd-courses',
    'order' => 'DESC',
    'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1,
    'posts_per_page' =>  40
);

$query_args = apply_filters( 'gostudy_ld_course_archive_args', $query_args );

$fetch_query = new WP_Query( $query_args );

// $args = wp_parse_args( $get_options, 1 );
if ( $fetch_query->have_posts() ) :

        while ( $fetch_query->have_posts() ) : $fetch_query->the_post(); 

             get_template_part( 'templates/learndash/learndash_course', 'item' ); 

        endwhile;
        wp_reset_postdata();

        echo Gostudy::pagination(); ?>
    
<?php
else :
    _e( 'Sorry, No Course Found.', 'gostudy' );
endif;

 
echo '</div>';
echo '</div>';

get_footer();
